Subject: Re: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env:‘c:/home/jordan/test.sh’: No such file or directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Dec 2018 11:23:37 +0200

> From: Jordan Wilson <[email-masked]>
> Date: Tue, 18 Dec 2018 15:00:35 +0000
> 
> I'm running Emacs 26.1 on Windows 10. I've replicated this with "emacs
> -Q".
> 
> When I'm connected to my GNU/Linux machine (using TRAMP and plink) with
> eshell, I can't run executables in the local directory. Doing
> "./test.sh" returns "env: ‘c:/home/jordan/test.sh’: No such file or
> directory".  

I cannot reproduce this, but I'm not on Windows 10.

> I also can't navigate properly using `cd', etc. It returns "No such
> directory found via CDPATH environment variable".

This I can reproduce.  The corresponding command, eshell/cd, doesn't
seem to support remote directories.  Michael, can you look into this?

> Here's an example:
> 
>        c:/Users/Jordan $ /plink:[email-masked]:/home/jordan/test
>        /plink:[email-masked]:/home/jordan/test $ ls
>        test2       test.sh
>        /plink:[email-masked]:/home/jordan/test $ ./test.sh
>        env: ‘c:/home/jordan/test.sh’: No such file or directory

What is in test.sh?  Did you make that script executable?